; Ŀ
;  Procedure:  GetCode(ReportNumber)                                       
;  Purpose: This procedure builds a dynamic array that contains the full   
;  names of all clients listed in the Clients table.  The index of this    
;  array is the corresponding Client code.  After a user selects a name    
;  from the displayed dialog box, this script queries the client table for 
;  the corresponding record.  The report numbered ReportNumber is then     
;  copied to the answer table.                                             
;                                                                          
;    This script is part of a sample application described in the          
;    October 1993 issue of Paradox Information.  This script was written   
;    by Cary Jensen of Data Works of Houston.                              
;                                                                          
;    This script is for demonstration purposes only.  No representation    
;    is made concerning the appropriateness of this script for any other   
;    purpose.  If you use this script you agree to hold its author and     
;    Data Works of Houston free from any claim arising out of the use or   
;    misuse of this script.                                                
; ͵
;                              Cary Jensen                                 
;                          Data Works of Houston                           
;                             CIS 76307,1533                               
;                             (713) 359-3311                               
; ͵
; 
PROC GetCode(RepNumber)
PRIVATE ClientList, QueryResult

  IF NOT TabLock("\"Clients\" PFL")
    THEN
      RETURN
  ENDIF

  MESSAGE "Getting Client codes.  One moment please..."
  DYNARRAY ClientList[]
  VIEW "Clients"
    SCAN
      ClientList[[Clients -> Client code]] = [Last name]+", "+[First name]
    ENDSCAN
  CLEARIMAGE
  
  SHOWDIALOG "Client list"
    @ 3, 20
    HEIGHT 17 WIDTH 39
    @ 0, 3 ?? "Select Client to report"
  
    PICKDYNARRAY @ 1, 3
      HEIGHT 11 WIDTH 29
      ClientList
      TAG "ClientList"
      TO ClientCode
  
    PUSHBUTTON @ 13, 2
      WIDTH 10
      "OK"
      OK
      DEFAULT
      VALUE True
      TAG "OKButton"
      TO Retval
  
    PUSHBUTTON @ 13, 24
      WIDTH 10
      "Cancel"
      CANCEL
      VALUE False
      TAG "CancelButton"
      TO Retval
  
  ENDDIALOG
  
  IF NOT Retval
    THEN
      ;User pressed Esc or selected Cancel
      UNLOCK "Clients" PFL
      RETURN False
  ENDIF
  
  ;Select the choosen client
  
  MENU {Ask} {Clients}
  CHECK
  [Client code] = ClientCode
  DO_IT!
  QueryResult = WINDOW()
  CLEARALL
  
  SWITCH
    CASE NOT QueryResult = "":
      ErrorBox("Query Error.  "+WINDOW())
      UNLOCK "Clients" PFL
      RETURN False
    CASE ISEMPTY("Answer"):
      ErrorBox("No records to report.")
      UNLOCK "Clients" PFL
      RETURN False
    OTHERWISE:
      COPYREPORT "Clients" RepNumber "Answer" RepNumber
      UNLOCK "Clients" PFL
      RETURN True
  ENDSWITCH
  
ENDPROC ;--- GetCode(RepNumber)
WRITELIB "Paradox" GetCode
RELEASE PROCS GetCode      
