; Ŀ
;  Procedure:  ViewTab(TabName, TabForm, Height, Width)                    
;  Purpose  :  View the named table using the named form.                  
;                                                                          
;    This script is part of a sample application described in the          
;    October 1993 issue of Paradox Information.  This script was written   
;    by Cary Jensen of Data Works of Houston.                              
;                                                                          
;    This script is for demonstration purposes only.  No representation    
;    is made concerning the appropriateness of this script for any other   
;    purpose.  If you use this script you agree to hold its author and     
;    Data Works of Houston free from any claim arising out of the use or   
;    misuse of this script.                                                
; ͵
;                              Cary Jensen                                 
;                          Data Works of Houston                           
;                             CIS 76307,1533                               
;                             (713) 359-3311                               
; ͵
; 
PROC ViewTab(TabName, TabForm, Height, Width)
PRIVATE Choice, MessageValue, WinHandle

IF NOT TabLock("\""+Tabname+"\" PFL")
  THEN RETURN
ENDIF

IF NOT TabForm = "F"
  THEN
    ;Verify that the form exists.  If not, use the Standard form.
    IF NOT ISFILE(TabName+".F"+TabForm)
      THEN
        TabForm = "F"
    ENDIF
ENDIF

VIEW TabName
;Move the table view window out of the way.
WINDOW SETATTRIBUTES GETWINDOW() FROM TableWindow

PICKFORM TabForm
WinHandle = GETWINDOW()
;Define the form window features.
WindowStyle["TITLE"] = "Viewing "+Table()
WindowStyle["HEIGHT"] = Height
WindowStyle["WIDTH"] = Width
WINDOW SETATTRIBUTES WinHandle FROM WindowStyle

MessageValue = ""
WHILE True
  ;The following is a simplified version of the WAIT statement.  For
  ;a more powerful version of WAIT, one that makes use of a WAIT PROC,
  ;see your PAL documentation.
  WAIT TABLE
    PROMPT "[Ctrl-Z]-Zoom     [Esc]-Exit"
    MESSAGE MessageValue
    UNTIL "Esc", "DOS","DOSBIG", "ZOOM"

  SWITCH

    CASE RetVal="Esc":
      CLEARIMAGE
      CLEAR
      UNLOCK TabName PFL
      RETURN

    CASE Retval = "ZOOM":
      ;Use ZoomFld to Zoom.  This is necessary since Esc is in
      ;the UNTIL key list.  If the native zoom where used, a user
      ;pressing Esc to leave Zoom would trigger the UNTIL.
      ZoomFld()
      IF NOT Retval = ""
        THEN
          MessageValue = Retval
        ELSE
          MessageValue = ""
      ENDIF

    OTHERWISE:
      BEEP
  ENDSWITCH
ENDWHILE
ENDPROC; --- ViewTab(TabName, TabForm, Height, Width)
WRITELIB "Paradox" ViewTab
RELEASE PROCS ViewTab
