; Ŀ
;  Procedure name: ZoomFld()                                               
;  Purpose: ZoomFld is used to provide users with a Ctrl-Z (Zoom) feature  
;  when an Esc option is used in a WAIT.  When ESC appears in the WAIT     
;  UNTIL list, a user pressing ESC to leave a ZOOM will be accepted by the 
;  WAIT.  ZOOMFLD does not pass this ESC to the WAIT.                      
;                                                                          
;    This script is part of a sample application described in the          
;    October 1993 issue of Paradox Information.  This script was written   
;    by Cary Jensen of Data Works of Houston.                              
;                                                                          
;                                                                          
;    This script is for demonstration purposes only.  No representation    
;    is made concerning the appropriateness of this script for any other   
;    purpose.  If you use this script you agree to hold its author and     
;    Data Works of Houston free from any claim arising out of the use or   
;    misuse of this script.                                                
; ͵
;                              Cary Jensen                                 
;                          Data Works of Houston                           
;                             CIS 76307,1533                               
;                             (713) 359-3311                               
; ͵
; 
PROC ZoomFld()

IF IsCompatible  ;A global variable set in MainMenu()  
  THEN
    PAINTCANVAS FILL(" ") ATTRIBUTE PromptColor 0,0,1,79
    STYLE ATTRIBUTE PromptColor
    @ 2,0 ?? "Enter value or pattern to search for."
    @ 1,0 ?? "Value:  "
    ACCEPT "A65" TO ZoomValue
    PROMPT
    STYLE
  ELSE
    SHOWDIALOG "Zoom"
      @ 9, 17 HEIGHT 7 WIDTH 46
      STYLE ATTRIBUTE 127 
    
      @ 1, 2     ?? "Value:"
    
      ACCEPT @ 1, 10
        WIDTH 33 "A175" TAG "ZoomTag" TO ZoomValue
    
      PUSHBUTTON @ 3, 11
        WIDTH 10 "OK" OK DEFAULT VALUE True TAG "OKTag" TO Retval
    
      PUSHBUTTON @ 3, 23
        WIDTH 10 "Cancel" CANCEL VALUE False TAG "CancelTag" TO Retval 
    
    ENDDIALOG
ENDIF
  IF NOT Retval OR ZoomValue = ""
    THEN RETURN ""
  ENDIF
  MESSAGE "Searching..."
  ZOOM CTRLBACKSPACE TYPEIN ZoomValue ENTER
  RETURN WINDOW()
ENDPROC ; --- ZoomFld()
WRITELIB "Paradox" ZoomFld
RELEASE PROCS ZoomFld
